import { Context } from "../context/context";
import { EventDispatcher, Vector3 } from "three";
export declare class BaseSvg<T extends {} = {}> extends EventDispatcher<T> {
    context: Context;
    protected points: Vector3[];
    protected svg: SVGElement;
    protected enable: boolean;
    constructor(context: Context);
    private _onResize;
    private _registryEvent;
    private _unRegistryEvent;
    setEnable(enable: boolean): void;
    getIntersectByPointerEvent(e: PointerEvent): Vector3;
    getSvgCoordinate(vector: Vector3): {
        x: number;
        y: number;
    };
    dispose(): void;
}
